Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management
Class DistributedOperationUpdateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.DistributedUpdateException
                      weblogic.management.DistributedOperationUpdateException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public final class DistributedOperationUpdateException
extends DistributedUpdateException

This exception wraps an exception that occured while propagating a specific operation from the Admin Server to a specific Managed Server.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DistributedOperationUpdateException(ObjectName remoteNameArg, MBeanServer remoteMBeanServerArg, Exception exceptionArg, String actionNameArg, Object[] paramsArg, String[] signatureArg)` Deprecated. Constructor for the DistributedOperationUpdateException object

Method Summary
`String` | `getActionName()` Deprecated. Return the action that was performed that was being propagated.
`Object[]` | `getParams()` Deprecated. Return the params that was passed to the action that was being propagated.
`String[]` | `getSignature()` Deprecated. Return the signature that was used for the action invocation.
`void` | `printExceptionInfo(PrintWriter writer)` Deprecated. Print the information to the specified writer.

Methods inherited from class weblogic.management.DistributedUpdateException
`getRemoteMBeanServer, getRemoteName, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedOperationUpdateException

    public DistributedOperationUpdateException(ObjectName remoteNameArg,
                                               MBeanServer remoteMBeanServerArg,
                                               Exception exceptionArg,
                                               String actionNameArg,
                                               Object[] paramsArg,
                                               String[] signatureArg)

  Deprecated.
  Constructor for the DistributedOperationUpdateException object

Method Detail

### getActionName

    public String getActionName()

  Deprecated.
  Return the action that was performed that was being propagated.

  Returns:
    The actionName value

### getParams

    public Object[] getParams()

  Deprecated.
  Return the params that was passed to the action that was being propagated.

  Returns:
    The params value

### getSignature

    public String[] getSignature()

  Deprecated.
  Return the signature that was used for the action invocation.

  Returns:
    The signature value

### printExceptionInfo

    public void printExceptionInfo(PrintWriter writer)

  Deprecated.
  Description copied from class: `DistributedUpdateException`
  Print the information to the specified writer.

  Overrides:
    `printExceptionInfo` in class `DistributedUpdateException`
  Parameters:
    `writer` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD